メインコンテンツへ移動
Nowledge MemNowledge Mem

スレッドを完全検索

GET
/threads/search

メッセージマッチングを伴う完全なスレッド検索。

クエリパラメータ

query*クエリ

検索クエリ

mode?モード

検索モード: 'suggestions' または 'full'

Default"full"
limit?上限
Range1 <= value <= 500
Default20
source?|

ソースでフィルタリング (例: 'openclaw'、'claude-code')

space_id?|

検索する任意の分離スペース

レスポンスボディ

application/json

application/json

curl -X GET "https://example.com/threads/search?query=string"
{  "threads": [    {}  ],  "total_found": 0,  "search_metadata": {    "query": "string",    "mode": "string",    "matched_messages_count": 0,    "error": "string"  }}